Technology at Seton Hall
 

 Supported Browsers 

 

To learn more about Blackboard's general browser support policy as well as information about Javascript, Cookies, and other software, see Browser Support Policy and Supported End-User Technologies for SP13

The browser versions listed are those that were available when Blackboard Learn 9.1 Service Pack 13 was released in June 2013. These are not the only browsers supported on this release - see  Browser Support Policy for more detailed information.

Traditionally Released Browsers

The dates listed are the original release dates for general availability.

Internet Explorer Browser
Safari Browser
  • Safari® 6 from Apple (25 July 2012)
  • Safari 5 from Apple (7 June 2010)
  • Safari 5 for Windows is an exception. Apple's continued support for this browser is unclear, and Blackboard does not test it.

Automatically Updated Channel-based Browsers

The dates listed are the latest numbered patch release dates.

Firefox Browser
Chrome Browser

Don't See Your Browser or Version Listed?

Both newer and older browsers from these vendors may be supported.  Please see Blackboard's general browser support policy for Learn at Browser Support Policy.

Java and Other Browser Plugins

A handful of features in Blackboard Learn require particular additional software to be installed. Without these, the features themselves do not function. For this service pack of Learn, the following features have plugin requirements:

  • Multiple file uploads in Course Files and Content Collection requires the Java Runtime Environment  (JRE) from Oracle enabled as a browser plugin. The single file upload tool does not have this requirement.
  • The Virtual Classroom Tools in courses require the JRE from Oracle enabled as a browser plugin.
  • The Record from Webcam feature of the Content Editor requires the Flash Player browser plugin from Adobe to successfully save the recordings to YouTube.


JRE version 7 is the recommended version for features that depend on it. JRE version 6 may work, but could result in unexpected behavior. Oracle has acknowledged some security issues with JRE version 6.

On Apple Mac OS X, Google's Chrome browser does not support Java 7 because of incompatibilities between 64-bit Java and 32-bit Chrome. Firefox and Safari browsers do not have this limitation on Mac OS X. Users of the Chrome browser on Mac OS X must configure Java 6 support in order to access the features listed above.

Adobe Flash Player version 11 is the recommended version of the Adobe Flash Player plugin, but the YouTube service ultimately determines the version required for this plugin.

Blackboard Learn does not require any other browser plugins. To learn more about browser plugins, assistive technology, and other supporting software, see the browser support policy page at Browser Support Policy.

Plugin Links

 

 

Sign In to PirateNet